# $Progeny$

SUBDIR=			pcmcia

all: @LINUXSYSDEP@

###############################################################################
# Build

SOURCES=		ata.c pci.c pcmcia.c usb.c scsi.c
OBJS=			ata.lo pci.lo pcmcia.lo usb.lo scsi.lo

libsysdeps.la: ${OBJS}
	${LTLINK} -o $@ ${OBJS}

###############################################################################
# Clean

clean_FILES=		libsysdeps.la ${OBJS}
distclean_FILES=	Makefile

clean:
	@${MAKE} __recur TARGET=$@
	${LTCLEAN} ${clean_FILES}

distclean: clean
	@${MAKE} __recur TARGET=$@
	${LTCLEAN} ${clean_FILES} ${distclean_FILES}

maintainer-clean:
	@${MAKE} __recur TARGET=$@
	${LTCLEAN} ${clean_FILES} ${distclean_FILES}

###############################################################################
# Installation

install:
uninstall:

###############################################################################
# Distribution

DISTFILES=		Makefile.in ${SOURCES}

distdir: ${DISTFILES}
	${top_srcdir}/buildtools/distdir ${distdir}/${_THISDIR_} ${DISTFILES}
	@${MAKE} __recur TARGET=$@
